Bug 199616 - [MAINTAINER] graphics/yed: Update to 3.14.1
Summary: [MAINTAINER] graphics/yed: Update to 3.14.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Veniamin Gvozdikov
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-04-22 16:02 UTC by Eugene Mychlo
Modified: 2015-04-27 21:26 UTC (History)
1 user (show)

See Also:
myc: maintainer-feedback+


Attachments
yed-diff.3.14.1 (860 bytes, text/plain)
2015-04-22 16:02 UTC, Eugene Mychlo
koobs: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Mychlo 2015-04-22 16:02:22 UTC
Created attachment 155865 [details]
yed-diff.3.14.1

Update to 3.14.1

Changes:

New Features
 - The new Remove Node Overlaps tool can be used to automatically move nodes so that overlaps are removed and all nodes have a specified minimum distance.
 - The Hierarchical layout algorithm features new support for grid placement of nodes and edges.
 - Also, a new layout option provides stacked placement of nodes within the same layer.


Improvements
 - Many improvements related to the connection handling of the One-Click Layout plugin.
 - The JREs that are installed by the Windows and Linux installers have been updated to Java 1.8.0_40.


Bugfixes
 - Corrected an issue with accessibility settings on Mac OS X reported as java.lang.ClassCastException: y.I.fB cannot be cast to javax.swing.tree.TreeNode
 - Addressed several problems that could occur when printing from the print preview.
 - Fixed value handling in the printing settings and export settings dialogs. Zero values and no values are gracefully dealt with now.
 - Many other bug fixes as well.
Comment 1 Veniamin Gvozdikov freebsd_committer 2015-04-24 11:24:40 UTC
I'll take it.
Comment 2 commit-hook freebsd_committer 2015-04-27 20:35:08 UTC
A commit references this bug:

Author: vg
Date: Mon Apr 27 20:34:15 UTC 2015
New revision: 384874
URL: https://svnweb.freebsd.org/changeset/ports/384874

Log:
  - Update to 3.14.1

  PR:		ports/199616
  Submitted by:	Eugene Mychlo <myc@barev.net> (maintainer)

Changes:
  head/graphics/yed/Makefile
  head/graphics/yed/distinfo
Comment 3 Veniamin Gvozdikov freebsd_committer 2015-04-27 21:26:23 UTC
Commited, thank you!